/*******************************************************************************

* Copyright (c) 2006 IONA Technologies PLC

* All rights reserved. This program and the accompanying materials

* are made available under the terms of the Eclipse Public License v1.0

* which accompanies this distribution, and is available at

* http://www.eclipse.org/legal/epl-v10.html

* 

* Contributors:

*     IONA Technologies PLC - initial API and implementation

*******************************************************************************/
package org.eclipse.stp.sc.xmlvalidator.rule.model;

/**
 * @author jma
 * keep the error message and line number in the xml file for each assert
 * @See VRuleAssert
 */
public class VRuleError {
    String errorMsg;
    /**
     * we set the default line number to one
     */
    int lineNumber = 1;
    
    int severity;
	public VRuleError(String errorMsg, int lineNumber, int severity) {
		this.errorMsg = errorMsg;
		this.lineNumber = lineNumber;
		this.severity = severity;
	}
	public String getErrorMsg() {
		return errorMsg;
	}
	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}
	public int getLineNumber() {
		return lineNumber;
	}
	public void setLineNumber(int lineNumber) {
		this.lineNumber = lineNumber;
	}
	
	public void setSeverity(int value) {
		this.severity = value;
	}
	
	public int getSeverity() {
		return severity;
	}
}
